//---------------------------------------------------------------------------


#pragma hdrstop


#include "FormMainwindow.h"
#include "Deci2.h"
#include "Netmp.h"
#include "Dbgp.h"
#include "Ttpy.h"


char     TcpBuf[BUFFER_SIZE];
int      TcpBuffLength;
int      Deci2Size;

char    InBuf   [BUFFER_SIZE];
int		InBuf_Lenght;
int     InBuf_done;

char   OutBuf  [BUFFER_SIZE];
int    OutBuf_Lenght;
int    OutBuf_done;


TCustomWinSocket *ClientSocket;

#pragma package(smart_init)

#include <stdio.h>
#include <stdlib.h>

void DECI2_Log ( char * ftext  , ...   ) {
	char LogText[ 1024 ];
    char LogText2[ 1024 ];

    va_list ap;
   	va_start (ap, ftext);
   	vsprintf (LogText, ftext, ap);
   	va_end (ap);

  	sprintf(LogText2,"[DECI2]%s",LogText);
    MainWindow->Memo->Lines->Add( AnsiString(LogText2).c_str() );

   	sprintf(LogText,"[DECI2]%s\n",LogText2);
    SendPacket_TttpyMessage( LogText );

}



void	Decode_Deci2(){

	sceDeci2Hdr * Deci2Hdr;

	InBuf_done 		= 0;
    OutBuf_Lenght 	= 0;

//	do {

	Deci2Hdr = (sceDeci2Hdr *) ( InBuf + InBuf_done );
	InBuf_done = InBuf_done + sizeof(sceDeci2Hdr);
/*
    DECI2_LOG(	" SRC:"+IntToStr(Deci2Hdr->src)+
				" DST:"+IntToStr(Deci2Hdr->dest)+
				" PROTO:"+IntToStr(Deci2Hdr->proto)+
				" LEN:"+IntToStr(Deci2Hdr->len)  );
*/

	memset(OutBuf, 0, BUFFER_SIZE);

	switch( Deci2Hdr->proto ) {
     	case DECI2_PROTO_NETMP: 	DecodeNetmp( );  break;

		case DECI2_PROTO_ESDBGP:    DecodeESDbgp( );  break;

		case DECI2_PROTO_ISDBGP:    DecodeISDbgp( );  break;


        default:
			DECI2_LOG("PROTOCOLE UNKNOW: 0x%4.4x Dest:0x%2.2x, Src:0x%2.2x, Length:%d",
            Deci2Hdr->proto, Deci2Hdr->dest, Deci2Hdr->src, Deci2Hdr->len);

			InBuf_done = InBuf_Lenght;
		break;

	}

//    } while(  InBuf_done < InBuf_Lenght );


}



//---------------------------------------------------------------------------


