//---------------------------------------------------------------------------

#ifndef FormMainwindowH
#define FormMainwindowH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ScktComp.hpp>
#include <Menus.hpp>

#define		RDEBUG_LOG RDEBUG_Log
//#undef	RDEBUG_LOG

void RDEBUG_Log ( char * ftext  , ...   ) ;

//---------------------------------------------------------------------------
class TMainWindow : public TForm
{
__published:	// IDE-managed Components
        TStatusBar *StatBar;
        TBevel *Bevel1;
        TBevel *Bevel2;
        TMemo *Memo;
        TServerSocket *SrvSock;
	TMemo *BinaryView;
	TMainMenu *MainMenu1;
	TMenuItem *Settings1;
	TMenuItem *ClearLog1;
	TMenuItem *Savetoremotetxt1;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall SrvSockAccept(TObject *Sender,
          TCustomWinSocket *Socket);
        void __fastcall SrvSockClientDisconnect(TObject *Sender,
          TCustomWinSocket *Socket);
        void __fastcall SrvSockClientRead(TObject *Sender,
          TCustomWinSocket *Socket);
	void __fastcall ClearLog1Click(TObject *Sender);
	void __fastcall Savetoremotetxt1Click(TObject *Sender);
	void __fastcall SrvSockClientConnect(TObject *Sender,
          TCustomWinSocket *Socket);
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall SrvSockThreadEnd(TObject *Sender,
          TServerClientThread *Thread);
private:	// User declarations
public:		// User declarations
        __fastcall TMainWindow(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainWindow *MainWindow;
//---------------------------------------------------------------------------


void	DumpReceiveData() ;


#endif
