/**
 * nSX2 - an OpenSource PS2 Emulator
 * Copyright (C) 2002 Muad
 *
 * homepage: http://nsx2.emulation64.com
 * email address: atreides.muaddib@caramail.com
 * 
 * If you want to contribute to the project please contact
 * me first (maybe someone is already making what you are
 * planning to do).
 *
 *
 * This program is free software; you can redistribute it and/
 * or modify it under the terms of the GNU General Public Li-
 * cence as published by the Free Software Foundation; either
 * version 2 of the Licence, or any later version.
 *
 * This program is distributed in the hope that it will be use-
 * ful, but WITHOUT ANY WARRANTY; without even the implied war-
 * ranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public Licence for more details.
 *
 * You should have received a copy of the GNU General Public
 * Licence along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
**/

char debugTempTextVU1 [200];

void VU1_ADDbc	(void);	

void VU1_SUBbc	(void);		
void VU1_MADDbc	(void);	
void VU1_MSUBbc	(void);	


void VU1_MAXbc	(void);		
void VU1_MINIbc	(void);	

void VU1_MULbc	(void);	
void VU1_MULq	(void);		
void VU1_MAXi	(void);		
void VU1_MULi	(void);		
void VU1_MINIi	(void);	

void VU1_ADDq	(void);	
void VU1_MADDq	(void);		
void VU1_ADDi	(void);		
void VU1_MADDi	(void);		
void VU1_SUBq	(void);		
void VU1_MSUBq	(void);	 
void VU1_SUBi	(void);		
void VU1_MSUBi	(void);	
void VU1_ADD	(void);	 	
void VU1_MADD	(void);	 	
void VU1_MUL	(void);		
void VU1_MAX	(void);		
void VU1_SUB	(void);		
void VU1_MSUB	(void);		
void VU1_OPMSUB	(void);	
void VU1_MINI	(void);	
void VU1_NI		(void);	

void VU1_COP2_MI_VU1_UPPER_T60(void);	
void VU1_COP2_MI_VU1_UPPER_T61(void);		
void VU1_COP2_MI_VU1_UPPER_T62(void);							
void VU1_COP2_MI_VU1_UPPER_T63(void);	



void VU1_ADDAbc	(void);	
void VU1_SUBAbc	(void);	
void VU1_MADDAbc(void);		
void VU1_MSUBAbc(void);		
void VU1_ITOF0	(void);		
void VU1_FTOI0	(void);		
void VU1_MULAbc	(void);	
void VU1_MULAq	(void);	
void VU1_ADDAq	(void);	 	
void VU1_SUBAq	(void);		
void VU1_ADDA	(void);			
void VU1_SUBBA	(void);	 	


void VU1_ITOF4	(void);		
void VU1_FTOI4	(void);			
void VU1_ABS	(void);	
void VU1_MADDAq	(void);	
void VU1_MSUBAq	(void);	
void VU1_MADDA	(void);			
void VU1_MSUBA	(void);	



void VU1_ITOF12	(void);	
void VU1_FTOI12	(void);		
void VU1_MULAi	(void);	
void VU1_ADDAi	(void);		
void VU1_SUBAi	(void);		
void VU1_MULA	(void);			
void VU1_OPMULA	(void);			





void VU1_ITOF15	(void);		
void VU1_FTOI15	(void);	
void VU1_CLIP	(void);	
void VU1_MADDAi	(void);	
void VU1_MSUBAi	(void);	
void VU1_NOP	(void);		




void VU1_LQ		(void);		
void VU1_SQ		(void);	
void VU1_ILW	(void);		
void VU1_ISW	(void);				
void VU1_IADDIU	(void);
void VU1_ISUBIU	(void);	
void VU1_FCEQ	(void);	
void VU1_FCSET	(void);	
void VU1_FCAND	(void);	
void VU1_FCOR	(void);	
void VU1_FSEQ	(void);		
void VU1_FSSET	(void);		
void VU1_FSAND	(void);		
void VU1_FSOR	(void);
void VU1_FMEQ	(void);	
void VU1_FMAND	(void);	
void VU1_FMOR	(void);	
void VU1_FCGET	(void);		
void VU1_B		(void);		
void VU1_BAL	(void);
void VU1_JR		(void);		
void VU1_JALR	(void);		
void VU1_IBEQ	(void);	
void VU1_IBNE	(void);	
void VU1_IBLTZ	(void);		
void VU1_IBGTZ	(void);		
void VU1_IBLEZ	(void);		
void VU1_IBGEZ	(void);
void VU1_COP2_MI_VU1_LOWER_T64(void);


void VU1_IADD	(void);	
void VU1_ISUB	(void);	
void VU1_IADDI	(void);	
void VU1_IAND	(void);		
void VU1_IOR	(void);
void VU1_COP2_MI_VU1_LOWER_T64_60(void);	
void VU1_COP2_MI_VU1_LOWER_T64_61(void);	
void VU1_COP2_MI_VU1_LOWER_T64_62(void);	
void VU1_COP2_MI_VU1_LOWER_T64_63(void);




void VU1_MOVE	(void);	
void VU1_LQI	(void);	
void VU1_DIV	(void);	
void VU1_MTIR	(void);
void VU1_RNEXT	(void);	
void VU1_MFP	(void);	
void VU1_XTOP	(void);	
void VU1_XGKICK	(void);	
void VU1_ESADD	(void);	
void VU1_EATANxy(void);
void VU1_ESQRT	(void);	
void VU1_ESIN	(void);




void VU1_MR32	(void);	
void VU1_SQI	(void);	
void VU1_SQRT	(void);	
void VU1_MFIR	(void);
void VU1_RGET	(void);	
void VU1_XITOP	(void);
void VU1_ERSADD	(void);
void VU1_EATANxz(void);
void VU1_ERSQRT	(void);
void VU1_EATAN	(void);



void VU1_LQD	(void);	
void VU1_RSQRT	(void);	
void VU1_ILWR	(void);
void VU1_RINIT	(void);
void VU1_ELENG	(void);	
void VU1_ESUM	(void);	
void VU1_ERCPR	(void);	
void VU1_EEXP	(void);


void VU1_SQD	(void);	
void VU1_WAITQ	(void);	
void VU1_ISWR	(void);
void VU1_RXOR	(void);
void VU1_ERLENG	(void);
void VU1_WAITP	(void);


