

static char * DBG_debug_r5900_reg [34] = {
"r0", "at", "v0", "v1", "a0", "a1", "a2", "a3",
"t0", "t1", "t2", "t3", "t4", "t5", "t6", "t7",
"s0", "s1", "s2", "s3", "s4", "s5", "s6", "s7",
"t8", "t9",
"k0", "k1",
"gp", "sp",
"s8",
"ra",
"hi", "lo"
};	

static char * DBG_debug_r5900_cop1_reg [32] = {
"fp0",	"fp1",	"fp2",	"fp3",	"fp4",	"fp5",	"fp6",	"fp7",
"fp8",	"fp9",	"fp10",	"fp11",	"fp12",	"fp13",	"fp14",	"fp15", 
"fp16",	"fp17",	"fp18",	"fp19",	"fp20",	"fp21",	"fp22",	"fp23",
"fp24", "fp25",	"fp26",	"fp27",	"fp28",	"fp29",	"fp30",	"fp31"
};	

static char * DBG_debug_r5900_cop0_reg [32] = {
	"Index",			"Random",	"EntryLo0",	"EntryLo1",	"Context",		"PageMask",		"Wired",	"reserv07 ",
	"BadWAddr",			"Count",	"EntryHi",	"Compare",	"Status",		"Cause",		"EPC",		"PRiD",
	"Config",			"reserv17",	"reserv18",	"reserv19",	"reserv20",		"reserv21", 	"reserv22", "reserv23",
	"Debug",			"Perf",		"reserv26",	"reserv27", "TagLo",		"TagHi",		"ErrorEPC",	"reserv31"
};

 

static char * DBG_debug_vu_ccr_reg [ 32 ]= {
	"vi00",	"vi01",	"vi02", "vi03", "vi04",	"vi05",	"vi06", "vi07",
	"vi08",	"vi09",	"vi10",	"vi11",	"vi12",	"vi13",	"vi14",	"vi15",

	"status_flag",	"mac flag",		"clipping flag",	"reserved",	
	"R reg.",		"I reg.", 		"Q reg.",			"reserved",
	"reserved",		"reserved",		"tpc reg.", 		"cmasar0 reg.",
	"fbrst reg.", 	"vpu-stat reg.", "reserved", 		"cmasr1 reg."


};

static char * DBG_d_vf_reg [ 32 ]= {
	"vf01",	"vf02",	"vf02", "vf03", "vf04",	"vf05",	"vf06", "vf07",
	"vf08",	"vf09",	"vf10",	"vf11",	"vf12",	"vf13",	"vf14",	"vf15",

	"vf16",	"vf17",	"vf18", "vf19", "vf20",	"vf21",	"vf22", "vf23",
	"vf24",	"vf25",	"vf26",	"vf27",	"vf28",	"vf29",	"vf30",	"vf31",


};



static char * DBG_d_dest_field [ 16 ]= {
	"0",	"w",	"z", 	"zw", 
	"y",	"yw", 	"yz",	"yzw",
	"x",	"xw",	"xz",	"xzw",
	"xy",	"xyw",	"xyz",	"xyzw"

};

static char * DBG_d_bc_field [ 4 ]= {
	"x",	"y",	"z",	"w"
};

static char * DBG_d_fstf_field [ 4 ]= {
	"x",	"y",	"z",	"w"
};


void DBG_MF0  ();
void DBG_MT0  ();
void DBG_C0   ();
void DBG_BC0 ();
void DBG_BC0F();
void DBG_BC0T();
void DBG_BC0FL();
void DBG_BC0TL ();
void DBG_TLBR(); 	
void DBG_TLBWI();
void DBG_TLBWR();	
void DBG_TLBP();		
void DBG_ERET(); 
void DBG_EI(); 	
void DBG_DI(); 	

void DBG_MFC1( );
void DBG_CFC1( );			
void DBG_MTC1( );	
void DBG_CTC1( );	
void DBG_BC1( );	 		
void DBG_COP1_S( );
void DBG_COP1_D( );	
void DBG_COP1_W( );
void DBG_BC1F( ); 
void DBG_BC1T( );
void DBG_BC1FL( );
void DBG_BC1TL( );
void DBG_ADD_S( ); 		
void DBG_SUB_S( ); 		
void DBG_MUL_S( ); 		
void DBG_DIV_S( ); 		
void DBG_SQRT_S( ); 	
void DBG_ABS_S( ); 		
void DBG_MOV_S( ); 		
void DBG_NEG_S( );
void DBG_ADDA_S( );
void DBG_SUBA_S( );
void DBG_MULA_S( );
void DBG_MADD_S( );
void DBG_MSUB_S( );
void DBG_MADDA_S( );
void DBG_MSUBA_S( );
void DBG_RSQRT_S( );  	
void DBG_MAX_S( ); 
void DBG_MIN_S( ); 
void DBG_CVT_W_S( );
void DBG_CVTS_W( );
void DBG_C_F_S( ); 		
void DBG_C_EQ_S( );		
void DBG_C_OLT_S( );	
void DBG_C_OLE_S( );	


void DBG_NOP		();
void DBG_SPECIAL	();
void DBG_REGIMM		();
void DBG_J			();
void DBG_JAL		(); 
void DBG_BEQ		(); 
void DBG_BNE		();
void DBG_BLEZ		(); 
void DBG_BGTZ		();
void DBG_ADDI		(); 
void DBG_ADDIU		(); 
void DBG_SLTI		(); 
void DBG_SLTIU		(); 
void DBG_ANDI		(); 
void DBG_ORI		(); 
void DBG_XORI		(); 
void DBG_LUI		();
void DBG_COP0		(); 
void DBG_COP1		(); 
void DBG_COP2		();
void DBG_BEQL		(); 
void DBG_BNEL		(); 
void DBG_BLEZL		(); 
void DBG_BGTZL		();
void DBG_DADDI		(); 
void DBG_DADDIU		(); 
void DBG_LDL		(); 
void DBG_LDR		(); 
void DBG_SPECIAL2	(); 
void DBG_LQ			();
void DBG_MDMX		(); 
void DBG_NI			();
void DBG_LB			(); 
void DBG_LH			(); 
void DBG_LWL		(); 
void DBG_LW			(); 
void DBG_LBU		(); 
void DBG_LHU		(); 
void DBG_LWR		(); 
void DBG_LWU		();
void DBG_SB			(); 
void DBG_SH			(); 
void DBG_SWL		(); 
void DBG_SW			(); 
void DBG_SDL		(); 
void DBG_SDR		(); 
void DBG_SWR		(); 
void DBG_CACHE		();
void DBG_LWC1		(); 
void DBG_PREF		(); 
void DBG_LQC2		(); 
void DBG_LD			();
void DBG_SWC1		(); 
void DBG_SQ			(); 
void DBG_SQC2		(); 
void DBG_SD			();
void DBG_SLL		(); 
void DBG_SRL		(); 
void DBG_SRA		(); 
void DBG_SLLV		(); 
void DBG_SRLV		(); 
void DBG_SRAV		();
void DBG_JR			(); 
void DBG_JALR		(); 
void DBG_MOVZ		(); 
void DBG_MOVN		(); 
void DBG_SYSCALL	(); 
void DBG_BREAK		(); 
void DBG_SYNC		();
void DBG_MFHI		(); 
void DBG_MTHI		(); 
void DBG_MFLO		(); 
void DBG_MTLO		(); 
void DBG_DSLLV		(); 
void DBG_DSRLV		(); 
void DBG_DSRAV		();
void DBG_MULT		(); 
void DBG_MULTU		(); 
void DBG_DIV		(); 
void DBG_DIVU		(); 
void DBG_ADD		(); 
void DBG_ADDU		(); 
void DBG_SUB		(); 
void DBG_SUBU		(); 
void DBG_AND		(); 
void DBG_OR			(); 
void DBG_XOR		(); 
void DBG_NOR		();
void DBG_MFSA		(); 
void DBG_MTSA		(); 
void DBG_SLT		(); 
void DBG_SLTU		(); 
void DBG_DADD		(); 
void DBG_DADDU		(); 
void DBG_DSUB		(); 
void DBG_DSUBU		();
void DBG_TGE		(); 
void DBG_TGEU		(); 
void DBG_TLT		(); 
void DBG_TLTU		(); 
void DBG_TEQ		(); 
void DBG_TNE		(); 
void DBG_DSLL		(); 
void DBG_DSRL		(); 
void DBG_DSRA		(); 
void DBG_DSLL32		(); 
void DBG_DSRL32		(); 
void DBG_DSRA32		();
void DBG_BLTZ(); 
void DBG_BGEZ(); 
void DBG_BLTZL   (); 
void DBG_BGEZL  (); 
void DBG_TGEI   (); 
void DBG_TGEIU (); 
void DBG_TLTI(); 
void DBG_TLTIU(); 
void DBG_TEQI(); 
void DBG_TNEI (); 
void DBG_BLTZAL   (); 
void DBG_BGEZAL  (); 
void DBG_BLTZALL  (); 
void DBG_BGEZALL  ();
void DBG_MTSAB  ();
void DBG_MTSAH  ();
void DBG_SRL();
void DBG_PCGTH();



void DBG_MADD( );
void DBG_MADDU( );
void DBG_MULT1( );
void DBG_PLZCW( );
void DBG_MMI0 ();
void DBG_MMI2 ();
void DBG_MFHI1();
void DBG_MTHI1();
void DBG_MFLO1();
void DBG_MTLO1();
void DBG_MULTU1();
void DBG_DIV1();
void DBG_DIVU1();
void DBG_MADD1( );
void DBG_MADDU1( );
void DBG_MMI1( );
void DBG_MMI3( );
void DBG_PMFHL( );
void DBG_PMTHL( );
void DBG_PSLLH( );
void DBG_PSLLW( );
void DBG_PSRLH( );
void DBG_PSRAH( );
void DBG_PSRLW( );
void DBG_PSRAW( );
void DBG_PADDW	( ); 
void DBG_PSUBW	( ); 
void DBG_PCGTW	( ); 
void DBG_PMAXW	( ); 
void DBG_PADDH	( ); 
void DBG_PSUBH	( ); 
void DBG_PCGTH	( );
void DBG_PMAXH	( );
void DBG_PADDB	( ); 
void DBG_PSUBB	( ); 
void DBG_PCGTB	( ); 
void DBG_PADDSW	( ); 
void DBG_PSUBSW	( ); 
void DBG_PEXTLW	( ); 
void DBG_PPACW	( ); 
void DBG_PADDSH	( ); 
void DBG_PSUBSH	( ); 
void DBG_PEXTLH	( ); 
void DBG_PPACH 	( );        
void DBG_PADDSB	( ); 
void DBG_PSUBSB	( ); 
void DBG_PEXTLB	( ); 
void DBG_PPACB	( ); 
void DBG_PEXT5	( ); 
void DBG_PPAC5 	( );    
void DBG_PABSW	( ); 
void DBG_PCEQW	( ); 
void DBG_PMINW	( ); 
void DBG_PADSBH	( ); 
void DBG_PABSH	( ); 
void DBG_PCEQH	( ); 
void DBG_PMINH 	( ); 
void DBG_PCEQB	( ); 
void DBG_PADDUW	( ); 
void DBG_PSUBUW	( ); 
void DBG_PEXTUW	( ); 
void DBG_PADDUH	( ); 
void DBG_PSUBUH	( ); 
void DBG_PEXTUH	( ); 
void DBG_PADDUB	( ); 
void DBG_PSUBUB	( ); 
void DBG_PEXTUB	( ); 
void DBG_QFSRV	( ); 
void DBG_PMADDW	( ); 
void DBG_PSLLVW	( ); 
void DBG_PSRLVW	( ); 
void DBG_PMSUBW	( ); 
void DBG_PMFHI	( ); 
void DBG_PMFLO	( ); 
void DBG_PINTH	( ); 
void DBG_PMULTW	( ); 
void DBG_PDIVW	( ); 
void DBG_PCPYLD	( ); 
void DBG_PMADDH	( ); 
void DBG_PHMADH	( ); 
void DBG_PAND	( ); 
void DBG_PXOR	( ); 
void DBG_PMSUBH	( ); 
void DBG_PHMSBH	( ); 
void DBG_PEXEH	( ); 
void DBG_PREVH	( ); 
void DBG_PMULTH	( ); 
void DBG_PDIVBW	( ); 
void DBG_PEXEW	( ); 
void DBG_PROT3W	( ); 
void DBG_PMADDUW	( ); 
void DBG_PSRAVW	( ); 
void DBG_PMTHI	( ); 
void DBG_PMTLO	( ); 
void DBG_PINTEH	( ); 
void DBG_PMULTUW	( ); 
void DBG_PDIVUW	( ); 
void DBG_PCPYUD	( ); 
void DBG_POR	( ); 
void DBG_PNOR	( ); 
void DBG_PEXCH	( ); 
void DBG_PCPYH	( ); 
void DBG_PEXCW	( ); 
	  

void DBG_cop2_QMFC2( ); 
void DBG_cop2_CFC2( ); 
void DBG_cop2_QMTC2( ); 
void DBG_cop2_CTC2	( ); 	
void DBG_cop2_BC( ); 		
void DBG_cop2_Vopc( ); 


void DBG_BC2F();
void DBG_BC2T();
void DBG_BC2FL();
void DBG_BC2TL();



void DBG_VADDbc( ); 
void DBG_VSUBbc( ); 
void DBG_VMADDbc( ); 
void DBG_VMSUBbc( ); 
void DBG_VMAXbc( ); 
void DBG_VMINIbc( ); 
void DBG_VMULbc( ); 
void DBG_VMULq( ); 
void DBG_VMAXi( ); 
void DBG_VMULi( ); 
void DBG_VMINIi( ); 
void DBG_VADDq( ); 
void DBG_VMADDq( ); 
void DBG_VADDi( ); 
void DBG_VMADDi( ); 
void DBG_VSUBq( ); 
void DBG_VMSUBq( ); 
void DBG_VSUBi( ); 
void DBG_VMSUBi( ); 
void DBG_VADD( ); 
void DBG_VMADD( ); 
void DBG_VMUL( ); 
void DBG_VMAX( ); 
void DBG_VSUB( ); 
void DBG_VMSUB( ); 
void DBG_VOPMSUB( ); 
void DBG_VMINI( ); 
void DBG_VIADD( ); 
void DBG_VISUB( ); 
void DBG_VIADDI( ); 
void DBG_VIAND( ); 
void DBG_VIOR( ); 
void DBG_VCALLMS( ); 
void DBG_VCALLMSR( ); 
void DBG_Vopc_t60( ); 
void DBG_Vopc_t61( ); 
void DBG_Vopc_t62( ); 
void DBG_Vopc_t63( ); 


void DBG_VADDAbc( ); 
void DBG_VSUBAbc( ); 
void DBG_VMADDAbc( ); 
void DBG_VMSUBAbc( ); 
void DBG_VMULAbc( ); 

void DBG_VITOF12( ); 
void DBG_VFTOI12( ); 
void DBG_VMULAi( ); 
void DBG_VADDAi( ); 
void DBG_VSUBAi( ); 
void DBG_VMULA( ); 
void DBG_VOPMULA( ); 
void DBG_VLQD( ); 
void DBG_VRSQRT( ); 
void DBG_VILWR( ); 
void DBG_VRINIT( ); 		


void DBG_VITOF0( ); 
void DBG_VFTOI0( ); 
void DBG_VMULAq( ); 
void DBG_VADDAq( ); 
void DBG_VSUBAq( ); 
void DBG_VADDA( ); 
void DBG_VSUBA( ); 
void DBG_VMOVE( ); 
void DBG_VLQI( ); 
void DBG_VDIV( ); 
void DBG_VMTIR( ); 
void DBG_VRNEXT( ); 

void DBG_VITOF4( ); 
void DBG_VFTOI4( ); 
void DBG_VABS( ); 
void DBG_VMADDAq( ); 
void DBG_VMSUBAq( ); 
void DBG_VMADDA( ); 
void DBG_VMSUBA( ); 
void DBG_VMR32( ); 
void DBG_VSQI( ); 
void DBG_VSQRT( ); 
void DBG_VMFIR( ); 
void DBG_VRGET	( ); 	


void DBG_VITOF15( ); 
void DBG_VFTOI15( ); 
void DBG_VCLIP( ); 
void DBG_VMADDAi( ); 
void DBG_VMSUBAi( ); 
void DBG_VNOP( ); 
void DBG_VSQD( ); 
void DBG_VWAITQ( ); 
void DBG_VISWR( ); 
void DBG_VRXOR	( ); 	
















static void (*DBG_cop0_opc[32])(void) =
{
	DBG_MF0,	DBG_NI,		DBG_NI,	DBG_NI,	DBG_MT0,	DBG_NI,		DBG_NI,	DBG_NI,
   	DBG_BC0, 	DBG_NI, 	DBG_NI,	DBG_NI,	DBG_NI,		DBG_NI,		DBG_NI, DBG_NI,
  	DBG_C0,		DBG_C0,		DBG_C0,	DBG_C0,	DBG_C0,		DBG_C0,		DBG_C0,	DBG_C0,
	DBG_C0,		DBG_C0,		DBG_C0,	DBG_C0,	DBG_C0,		DBG_C0,		DBG_C0,	DBG_C0
};
static void (*DBG_cop0c0_opc[64])(void) =
{
	DBG_NI, 	DBG_TLBR, 	DBG_TLBWI, 	DBG_NI, 	DBG_NI,		DBG_NI,		DBG_TLBWR,		DBG_NI,
	DBG_TLBP,	DBG_NI,		DBG_NI,		DBG_NI,		DBG_NI,		DBG_NI,		DBG_NI,			DBG_NI,		
	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 		DBG_NI ,
	DBG_ERET, 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 		DBG_NI ,	 
 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 		DBG_NI ,
 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 		DBG_NI ,
 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 		DBG_NI ,
	DBG_EI, 	DBG_DI, 	DBG_NI, 	DBG_NI,		DBG_NI, 	DBG_NI, 	DBG_NI, 		DBG_NI  	 
};
static void (*DBG_cop0c0_bc0_opc[4])(void) =
{
	DBG_BC0F, 	DBG_BC0T, 	DBG_BC0FL, 	DBG_BC0TL 
};






static void (*DBG_cop1_opc[32])(void) =
{
	DBG_MFC1,	DBG_NI,		DBG_CFC1,	DBG_NI,		DBG_MTC1,	DBG_NI,		DBG_CTC1,	DBG_NI,
	DBG_BC1, 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI,
	DBG_COP1_S,	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_COP1_W,	DBG_NI,		DBG_NI, 	DBG_NI,
	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI, 	DBG_NI							
};
static void (*DBG_cop1_bc1_opc[4])(void) =
{
	DBG_BC1F, DBG_BC1T,
	DBG_BC1FL,DBG_BC1TL
};
static void (*DBG_cop1_s_opc[64])(void) =
{
	DBG_ADD_S, 		DBG_SUB_S, 		DBG_MUL_S, 		DBG_DIV_S, 		DBG_SQRT_S, 	DBG_ABS_S, 		DBG_MOV_S, 		DBG_NEG_S,
	DBG_NI,			DBG_NI,			DBG_NI,			DBG_NI,			DBG_NI,			DBG_NI,			DBG_NI,			DBG_NI,
	DBG_NI,			DBG_NI,			DBG_NI,			DBG_NI,			DBG_NI,			DBG_NI,		 	DBG_RSQRT_S,  	DBG_NI,
	DBG_ADDA_S, 	DBG_SUBA_S,		DBG_MULA_S,		DBG_NI, 		DBG_MADD_S,		DBG_MSUB_S,		DBG_MADDA_S,	DBG_MSUBA_S,		
	DBG_NI,			DBG_NI, 		DBG_NI, 		DBG_NI,			DBG_CVT_W_S,	DBG_NI,			DBG_NI,			DBG_NI,
	DBG_MAX_S, 		DBG_MIN_S, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI,		
	DBG_C_F_S, 		DBG_NI,			DBG_C_EQ_S,		DBG_NI	,		DBG_C_OLT_S,	DBG_NI,			DBG_C_OLE_S,	DBG_NI,
	DBG_NI,			DBG_NI, 		DBG_NI,			DBG_NI,			DBG_NI,			DBG_NI,			DBG_NI,			DBG_NI
};
static void (*DBG_cop1_W_L_opc[64])(void) =
{
	DBG_NI, 		DBG_NI, 		DBG_NI, 	DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 	DBG_NI,		
	DBG_NI, 		DBG_NI, 		DBG_NI, 	DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 	DBG_NI,		
	DBG_NI, 		DBG_NI, 		DBG_NI, 	DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 	DBG_NI,		
	DBG_NI, 		DBG_NI, 		DBG_NI, 	DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 	DBG_NI,		
	DBG_CVTS_W,		DBG_NI,			DBG_NI, 	DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 	DBG_NI,
	DBG_NI, 		DBG_NI, 		DBG_NI, 	DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 	DBG_NI,		
	DBG_NI, 		DBG_NI, 		DBG_NI, 	DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 	DBG_NI,		
	DBG_NI, 		DBG_NI, 		DBG_NI, 	DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 	DBG_NI		
};

static void (*DBG_normal_opc[64])(void) =
{
   DBG_SPECIAL,	DBG_REGIMM,		DBG_J,		DBG_JAL,	DBG_BEQ,		DBG_BNE,	DBG_BLEZ,	DBG_BGTZ,
   DBG_ADDI, 	DBG_ADDIU, 		DBG_SLTI,	DBG_SLTIU,	DBG_ANDI,		DBG_ORI,	DBG_XORI,	DBG_LUI,
   DBG_COP0, 	DBG_COP1, 		DBG_COP2,	DBG_NI,		DBG_BEQL,		DBG_BNEL,	DBG_BLEZL,	DBG_BGTZL,
   DBG_DADDI, 	DBG_DADDIU, 	DBG_LDL,	DBG_LDR,	DBG_SPECIAL2,	DBG_NI,		DBG_LQ,		DBG_SQ,
   DBG_LB, 		DBG_LH, 		DBG_LWL,	DBG_LW,		DBG_LBU,		DBG_LHU,	DBG_LWR,	DBG_LWU,
   DBG_SB, 		DBG_SH, 		DBG_SWL,	DBG_SW,		DBG_SDL,		DBG_SDR,	DBG_SWR,	DBG_CACHE,
   DBG_NI, 		DBG_LWC1, 		DBG_NI,		DBG_PREF,	DBG_NI,			DBG_NI,		DBG_LQC2,	DBG_LD,
   DBG_NI, 		DBG_SWC1, 		DBG_NI,		DBG_NI,		DBG_NI, 		DBG_NI,		DBG_SQC2,	DBG_SD
};

static void (*DBG_special_opc[64])(void) =
{
   DBG_SLL,		DBG_NI,		DBG_SRL,	DBG_SRA,	DBG_SLLV,		DBG_NI,		DBG_SRLV,	DBG_SRAV,
   DBG_JR,		DBG_JALR,	DBG_MOVZ,	DBG_MOVN,	DBG_SYSCALL,	DBG_BREAK,	DBG_NI,		DBG_SYNC,
   DBG_MFHI,	DBG_MTHI,	DBG_MFLO,	DBG_MTLO,	DBG_DSLLV,		DBG_NI,		DBG_DSRLV,	DBG_DSRAV,
   DBG_MULT,	DBG_MULTU,	DBG_DIV,	DBG_DIVU,	DBG_NI,			DBG_NI,		DBG_NI,		DBG_NI,
   DBG_ADD,		DBG_ADDU,	DBG_SUB,	DBG_SUBU,	DBG_AND,		DBG_OR,		DBG_XOR,	DBG_NOR,
   DBG_MFSA,	DBG_MTSA,	DBG_SLT,	DBG_SLTU,	DBG_DADD,		DBG_DADDU,	DBG_DSUB,	DBG_DSUBU,
   DBG_TGE,		DBG_TGEU,	DBG_TLT,	DBG_TLTU,	DBG_TEQ,		DBG_NI,		DBG_TNE,	DBG_NI,
   DBG_DSLL,	DBG_NI,		DBG_SRL,	DBG_DSRA,	DBG_DSLL32,		DBG_NI,		DBG_DSRL32,	DBG_DSRA32
};


static void (*DBG_regimm_opc[32])(void) =
{
   DBG_BLTZ,	DBG_BGEZ,	DBG_BLTZL,		DBG_BGEZL,		DBG_NI,		DBG_NI,	DBG_NI,		DBG_NI,
   DBG_TGEI,	DBG_TGEIU, 	DBG_TLTI,		DBG_TLTIU,		DBG_TEQI,	DBG_NI,	DBG_TNEI,	DBG_NI,
   DBG_BLTZAL,	DBG_BGEZAL, DBG_BLTZALL,	DBG_BGEZALL,	DBG_NI,		DBG_NI,	DBG_NI,		DBG_NI,
   DBG_MTSAB,	DBG_MTSAH,	DBG_NI,			DBG_NI,			DBG_NI,		DBG_NI, DBG_NI,		DBG_NI 
};


static void (*DBG_special2_opc[64])(void) =
{
	DBG_MADD,	DBG_MADDU,	DBG_NI,		DBG_NI,		DBG_PLZCW,	DBG_NI,		DBG_NI,		DBG_NI,	
	DBG_MMI0,	DBG_MMI2,	DBG_NI,		DBG_NI,		DBG_NI,		DBG_NI,		DBG_NI,		DBG_NI,	
	DBG_MFHI1,	DBG_MTHI1,	DBG_MFLO1,	DBG_MTLO1,	DBG_NI,		DBG_NI,		DBG_NI,		DBG_NI,	
	DBG_MULT1,	DBG_MULTU1,	DBG_DIV1,	DBG_DIVU1,	DBG_NI,		DBG_NI,		DBG_NI,		DBG_NI,	
	DBG_MADD1,	DBG_MADDU1,	DBG_NI,		DBG_NI,		DBG_NI,		DBG_NI,		DBG_NI,		DBG_NI,	
	DBG_MMI1,	DBG_MMI3,	DBG_NI,		DBG_NI,		DBG_NI,		DBG_NI,		DBG_NI,		DBG_NI,	
	DBG_PMFHL,	DBG_PMTHL,	DBG_NI,		DBG_NI,		DBG_PSLLH,	DBG_NI,		DBG_PSRLH,	DBG_PSRAH,	
	DBG_NI,		DBG_NI,		DBG_NI,		DBG_NI,		DBG_PSLLW,	DBG_NI,		DBG_PSRLW,	DBG_PSRAW							
};
static void (*DBG_Special2_MMI0[32])() =
{ 
 DBG_PADDW,		DBG_PSUBW,	DBG_PCGTW,	DBG_PMAXW,	DBG_PADDH,	DBG_PSUBH,	DBG_PCGTH,	DBG_PMAXH,
 DBG_PADDB,		DBG_PSUBB,	DBG_PCGTB,	DBG_NI,		DBG_NI,		DBG_NI,		DBG_NI,		DBG_NI,
 DBG_PADDSW,	DBG_PSUBSW,	DBG_PEXTLW,	DBG_PPACW,	DBG_PADDSH,	DBG_PSUBSH,	DBG_PEXTLH,	DBG_PPACH,        
 DBG_PADDSB,	DBG_PSUBSB,	DBG_PEXTLB,	DBG_PPACB,	DBG_NI,		DBG_NI,		DBG_PEXT5,	DBG_PPAC5       
};
static void (*DBG_Special2_MMI1[32])() =
{ 
 DBG_NI,   		DBG_PABSW,	DBG_PCEQW,	DBG_PMINW,	DBG_PADSBH, DBG_PABSH,  DBG_PCEQH,  DBG_PMINH, 
 DBG_NI,   		DBG_NI,   	DBG_PCEQB,  DBG_NI,		DBG_NI,   	DBG_NI,   	DBG_NI,   	DBG_NI, 
 DBG_PADDUW,    DBG_PSUBUW, DBG_PEXTUW, DBG_NI,   	DBG_PADDUH, DBG_PSUBUH, DBG_PEXTUH, DBG_NI, 
 DBG_PADDUB,    DBG_PSUBUB, DBG_PEXTUB, DBG_QFSRV,  DBG_NI,   	DBG_NI,   	DBG_NI,   	DBG_NI
};
static void (*DBG_Special2_MMI2[32])() = 
{ 
 DBG_PMADDW,	DBG_NI,		DBG_PSLLVW,	DBG_PSRLVW,	DBG_PMSUBW,	DBG_NI,		DBG_NI,		DBG_NI,
 DBG_PMFHI,		DBG_PMFLO,	DBG_PINTH,	DBG_NI,		DBG_PMULTW,	DBG_PDIVW,	DBG_PCPYLD,	DBG_NI,
 DBG_PMADDH,	DBG_PHMADH,	DBG_PAND,	DBG_PXOR,	DBG_PMSUBH,	DBG_PHMSBH,	DBG_NI,		DBG_NI, 
 DBG_NI,		DBG_NI,		DBG_PEXEH,	DBG_PREVH,	DBG_PMULTH,	DBG_PDIVBW,	DBG_PEXEW,	DBG_PROT3W
};
static void (*DBG_Special2_MMI3[32])() = 
{ 
 DBG_PMADDUW,	DBG_NI,		DBG_NI,		DBG_PSRAVW,	DBG_NI,		DBG_NI,		DBG_NI,		DBG_NI,
 DBG_PMTHI,		DBG_PMTLO,	DBG_PINTEH,	DBG_NI,		DBG_PMULTUW,DBG_PDIVUW,	DBG_PCPYUD,	DBG_NI,
 DBG_NI,		DBG_NI,		DBG_POR,	DBG_PNOR,	DBG_NI,		DBG_NI,		DBG_NI,		DBG_NI,
 DBG_NI,		DBG_NI,		DBG_PEXCH,	DBG_PCPYH,	DBG_NI,		DBG_NI,		DBG_PEXCW,	DBG_NI
};





static void (*DBG_cop2_opc[32])(void) = {
	DBG_NI, 		DBG_cop2_QMFC2, DBG_cop2_CFC2, 	DBG_NI, 		DBG_NI, 		DBG_cop2_QMTC2, DBG_cop2_CTC2, 	DBG_NI,		
	DBG_cop2_BC, 	DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI,		
	DBG_cop2_Vopc, DBG_cop2_Vopc, 	DBG_cop2_Vopc, 	DBG_cop2_Vopc, DBG_cop2_Vopc, 	DBG_cop2_Vopc, 	DBG_cop2_Vopc, 	DBG_cop2_Vopc,		
	DBG_cop2_Vopc, DBG_cop2_Vopc, 	DBG_cop2_Vopc, 	DBG_cop2_Vopc, DBG_cop2_Vopc, 	DBG_cop2_Vopc, 	DBG_cop2_Vopc, 	DBG_cop2_Vopc		

};
static void (*DBG_cop2_BC2_opc[32])(void) = {
DBG_BC2F, DBG_BC2T, DBG_BC2FL, DBG_BC2TL, DBG_NI, DBG_NI, DBG_NI, DBG_NI,
DBG_NI, DBG_NI, DBG_NI, DBG_NI, DBG_NI, DBG_NI, DBG_NI, DBG_NI,
DBG_NI, DBG_NI, DBG_NI, DBG_NI, DBG_NI, DBG_NI, DBG_NI, DBG_NI,
DBG_NI, DBG_NI, DBG_NI, DBG_NI, DBG_NI, DBG_NI, DBG_NI, DBG_NI
};
static void (*DBG_cop2_V_opc[64])(void) = {

	DBG_VADDbc,		DBG_VADDbc,		DBG_VADDbc,		DBG_VADDbc,		DBG_VSUBbc,		DBG_VSUBbc,		DBG_VSUBbc,		DBG_VSUBbc,
	DBG_VMADDbc,	DBG_VMADDbc,	DBG_VMADDbc,	DBG_VMADDbc,	DBG_VMSUBbc,	DBG_VMSUBbc,	DBG_VMSUBbc,	DBG_VMSUBbc,

	DBG_VMAXbc,		DBG_VMAXbc,		DBG_VMAXbc,		DBG_VMAXbc,		DBG_VMINIbc,	DBG_VMINIbc,	DBG_VMINIbc,	DBG_VMINIbc,
	DBG_VMULbc,		DBG_VMULbc,		DBG_VMULbc,		DBG_VMULbc,		DBG_VMULq,		DBG_VMAXi,		DBG_VMULi,		DBG_VMINIi,

	DBG_VADDq,		DBG_VMADDq,		DBG_VADDi,		DBG_VMADDi,		DBG_VSUBq,		DBG_VMSUBq,		DBG_VSUBi,		DBG_VMSUBi,
	DBG_VADD,		DBG_VMADD,		DBG_VMUL,		DBG_VMAX,		DBG_VSUB,		DBG_VMSUB,		DBG_VOPMSUB,	DBG_VMINI,

	DBG_VIADD,		DBG_VISUB,		DBG_VIADDI,		DBG_NI,			DBG_VIAND,		DBG_VIOR,		DBG_NI,			DBG_NI,
	DBG_VCALLMS,	DBG_VCALLMSR,	DBG_NI,			DBG_NI,			DBG_Vopc_t60,	DBG_Vopc_t61,	DBG_Vopc_t62,	DBG_Vopc_t63

};
static void (*DBG_cop2_V_t60_opc[32])(void) = {
	DBG_VADDAbc,	DBG_VSUBAbc,	DBG_VMADDAbc,	DBG_VMSUBAbc,	DBG_VITOF0,		DBG_VFTOI0,		DBG_VMULAbc,	DBG_VMULAq,
	DBG_VADDAq,		DBG_VSUBAq,		DBG_VADDA,		DBG_VSUBA,		DBG_VMOVE,		DBG_VLQI,		DBG_VDIV,		DBG_VMTIR,
	DBG_VRNEXT,		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI,		
	DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI		

};
static void (*DBG_cop2_V_t61_opc[32])(void) = {

	DBG_VADDAbc,	DBG_VSUBAbc,	DBG_VMADDAbc,	DBG_VMSUBAbc,	DBG_VITOF4,		DBG_VFTOI4,		DBG_VMULAbc,	DBG_VABS,
	DBG_VMADDAq,	DBG_VMSUBAq,	DBG_VMADDA,		DBG_VMSUBA,		DBG_VMR32,		DBG_VSQI,		DBG_VSQRT,		DBG_VMFIR, 
	DBG_VRGET,		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI,		
	DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI		

};
static void (*DBG_cop2_V_t62_opc[32])(void) = {

	DBG_VADDAbc,	DBG_VSUBAbc,	DBG_VMADDAbc,	DBG_VMSUBAbc,	DBG_VITOF12,	DBG_VFTOI12,	DBG_VMULAbc,	DBG_VMULAi,
	DBG_VADDAi,		DBG_VSUBAi,		DBG_VMULA,		DBG_VOPMULA,	DBG_NI,			DBG_VLQD,		DBG_VRSQRT,		DBG_VILWR,
	DBG_VRINIT,		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI,		
	DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI		



};
static void (*DBG_cop2_V_t63_opc[32])(void) = {

	DBG_VADDAbc,	DBG_VSUBAbc,	DBG_VMADDAbc,	DBG_VMSUBAbc,	DBG_VITOF15,	DBG_VFTOI15,	DBG_VMULAbc,	DBG_VCLIP,
	DBG_VMADDAi,	DBG_VMSUBAi,	DBG_NI,			DBG_VNOP,		DBG_NI,			DBG_VSQD,		DBG_VWAITQ,		DBG_VISWR,
	DBG_VRXOR,		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI,		
	DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI, 		DBG_NI		

};
