/*  Pcsx2 - Pc Ps2 Emulator
 *  Copyright (C) 2002-2003  Pcsx2 Team
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __AMIGAMOD_H__
#define __AMIGAMOD_H__

#define AMIGAMOD_IRX  0xbadca11

typedef struct {
    int curorder;
    int currow;
    int numchannels;
    int bpm;
} ModInfoStruct;


#define MOD_INIT    0x0010
#define MOD_LOAD    0x0020
#define MOD_PLAY    0x0080
#define MOD_PAUSE   0x0090
#define MOD_SETVOL  0x0110
#define MOD_GETINFO 0x0210
#define MOD_QUIT    0x0810
#define MOD_PUTS    0x0900

#endif
