/*  Pcsx2 - Pc Ps2 Emulator
 *  Copyright (C) 2002-2003  Pcsx2 Team
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __FILEIO_H__
#define __FILEIO_H__

#define FILEIO_VER	0x101

//////////////////////////////////////////////// 80000001 fileio rpc service
#define FILEIO_OPEN	0
#define FILEIO_CLOSE	1
#define FILEIO_READ	2
#define FILEIO_WRITE	3
#define FILEIO_LSEEK	4
#define FILEIO_IOCTL	5
#define FILEIO_REMOVE	6
#define FILEIO_MKDIR	7
#define FILEIO_RMDIR	8
#define FILEIO_DOPEN	9
#define FILEIO_DCLOSE	10
#define FILEIO_DREAD	11
#define FILEIO_GETSTAT	12
#define FILEIO_CHSTAT	13
#define FILEIO_FORMAT	14
#define FILEIO_ADDDRV	15
#define FILEIO_DELDRV	16
//*************************** not in version 0x101
#define FILEIO_RENAME	17
#define FILEIO_CHDIR	18
#define FILEIO_SYNC		19
#define FILEIO_MOUNT	20
#define FILEIO_UMOUNT	21
#define FILEIO_LSEEK64	22
#define FILEIO_DEVCTL	23
#define FILEIO_SYMLINK	24
#define FILEIO_READLINK	25
#define FILEIO_IOCTL2	26
#define FILEIO_FSINIT	255
//****************************/


#endif//__FILEIO_H__
