/**
 * nSX2 - an OpenSource PS2 Emulator
 * Copyright (C) 2002 Muad
 *
 * homepage: http://nsx2.emulation64.com
 * email address: atreides.muaddib@caramail.com
 * 
 * If you want to contribute to the project please contact
 * me first (maybe someone is already making what you are
 * planning to do).
 *
 *
 * This program is free software; you can redistribute it and/
 * or modify it under the terms of the GNU General Public Li-
 * cence as published by the Free Software Foundation; either
 * version 2 of the Licence, or any later version.
 *
 * This program is distributed in the hope that it will be use-
 * ful, but WITHOUT ANY WARRANTY; without even the implied war-
 * ranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public Licence for more details.
 *
 * You should have received a copy of the GNU General Public
 * Licence along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
**/
#include <stdlib.h>
#include <stdio.h>

#include "nSX2.h"
#include "PS2Edefs.h"


void R5900_Cop1_init( void ) {

    int result;

	/*
	Create some pointers to val for performing the conversion by value of :
	 int -> float  and    float -> int
	without change the way of store
	for exemple :
	0x4863D000 = 233280.0000
		and not
	0x4863D000 = 1214500864.0000
	*/
	for ( result = 0 ; result < 32 ; result++ ) {
	     MipsCpu.FPR1_p_float[result]=(float *)&(MipsCpu.FPR1[result]);
		 *(MipsCpu.FPR1_p_float[result]) = (float)0.0;	
    }


	MipsCpu.FPR1_ACC_p_float=(float *)&(MipsCpu.FPR1_ACC);
	*(MipsCpu.FPR1_ACC_p_float) = (float)0.0;

	MipsCpu.CP1[ CP1_FIR ] = (_u32)0x00002E00;

}







